findif.sh: No such file or directory

Bug #1318511 reported by Mike Scherbakov on 2014-05-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Sergey Vasilenko
4.1.x
High
Fuel Library (Deprecated)

Bug Description

lrmd.log for controller (/var/log/remote/node-X/ on master node, or /var/log/pacemaker.log on controller itself) has repeated messages like:
2014-05-11T06:26:57.707581+00:00 notice: notice: operation_finished: vip__public_old_monitor_2000:24597:stderr [ /usr/lib/ocf/resource.d/mirantis/ns_IPaddr2: line 8: /usr/lib/ocf/lib/heartbeat/findif.sh: No such file or directory ]
2014-05-11T06:26:57.719433+00:00 notice: notice: operation_finished: vip__management_old_monitor_2000:24610:stderr [ /usr/lib/ocf/resource.d/mirantis/ns_IPaddr2: line 8: /usr/lib/ocf/lib/heartbeat/findif.sh: No such file or directory ]

ISO #189, "fuellib_sha": "112695da3558df7b8cdc1bd4d7bb214bed38bb78"

Changed in fuel:
assignee: nobody → Sergey Vasilenko (xenolog)
Mike Scherbakov (mihgen) on 2014-05-12
Changed in fuel:
milestone: none → 5.0
Changed in fuel:
importance: Undecided → High
Mike Scherbakov (mihgen) on 2014-05-12
Changed in fuel:
status: New → Confirmed

Fix proposed to branch: master
Review: https://review.openstack.org/93303

Changed in fuel:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/93303
Committed: https://git.openstack.org/cgit/stackforge/fuel-library/commit/?id=027751fc9c9806c9eb38683baf8bc1faced85de4
Submitter: Jenkins
Branch: master

commit 027751fc9c9806c9eb38683baf8bc1faced85de4
Author: Sergey Vasilenko <email address hidden>
Date: Mon May 12 17:42:30 2014 +0400

    remove unnided lib import

    Change-Id: I52a6b53b96f5ab0d38ae6450ae004a807818aa29
    Closes-bug: #1318511

Changed in fuel:
status: In Progress → Fix Committed

verified on {"build_id": "2014-05-22_01-10-31", "mirantis": "yes", "build_number": "216", "ostf_sha": "5c479f04c35127576d35526650ec83b104f9a33d", "nailgun_sha": "31fcb161ff8d6bfb861b041467440752c0e9c537", "production": "docker", "api": "1.0", "fuelmain_sha": "dda9cff27999e74b80e8e6a9e665e7e9677ab994", "astute_sha": "9a0d86918724c1153b5f70bdae008dea8572fd3e", "release": "5.0", "fuellib_sha": "872b6a7a968b619a493ad46c504910020ea2edae"}

Changed in fuel:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/96853
Committed: https://git.openstack.org/cgit/stackforge/fuel-library/commit/?id=530b3daa9c91393134ffc817657338a9233febdd
Submitter: Jenkins
Branch: stable/4.1

commit 530b3daa9c91393134ffc817657338a9233febdd
Author: Sergey Vasilenko <email address hidden>
Date: Mon May 12 17:42:30 2014 +0400

    remove unnided lib import

    Change-Id: I52a6b53b96f5ab0d38ae6450ae004a807818aa29
    Closes-bug: #1318511

Meg McRoberts (dreidellhasa) wrote :

This is documented as fixed in 4.1.1 Release Notes

Meg McRoberts (dreidellhasa) wrote :

This is now removed from the 4.1.1 Release Notes

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers